Package com.collibra.dgc.core.api.dto.instance.relation

# Class FindRelationsRequest.Builder

Object
Builder

Enclosing class:
  `FindRelationsRequest`

public static final class FindRelationsRequest.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `limit`
  Deprecated.
  `protected int`
  `offset`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Use cursor paginations

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindRelationsRequest`
  `build()`
  `FindRelationsRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `FindRelationsRequest.Builder`
  `cursor(String cursor)`
  `FindRelationsRequest.Builder`
  `limit(int limit)`
  `FindRelationsRequest.Builder`
  `offset(int offset)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Use cursor pagination.
  `FindRelationsRequest.Builder`
  `relationTypeId(UUID relationTypeId)`
  `FindRelationsRequest.Builder`
  `sourceId(UUID sourceId)`
  `FindRelationsRequest.Builder`
  `sourceTargetLogicalOperator(LogicalOperator sourceTargetLogicalOperator)`
  `FindRelationsRequest.Builder`
  `targetId(UUID targetId)`
  `String`
  `toString()`
  `FindRelationsRequest.Builder`
  `typePublicId(String typePublicId)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    @Deprecated(forRemoval=true) protected int offset
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use cursor paginations

  - ### limit

    @Deprecated protected int limit
    Deprecated.

- ## Method Details

  - ### offset

    @Deprecated(forRemoval=true) public FindRelationsRequest.Builder offset(int offset)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use cursor pagination.

  - ### limit

    public FindRelationsRequest.Builder limit(int limit)

  - ### but

    @Deprecated public FindRelationsRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `FindRelationsRequest.builder()`
    Clone method for this Builder.

  - ### cursor

    public FindRelationsRequest.Builder cursor(String cursor)
    Parameters:
      `cursor` - Cursor for the current page of results. To retrieve the first page with cursor pagination you need to pass this parameter with an empty value (must be non-null). For the next pages, the value must be taken from the response (`nextCursor` property).
    Returns:
      `this`.

  - ### relationTypeId

    public FindRelationsRequest.Builder relationTypeId(UUID relationTypeId)
    Parameters:
      `relationTypeId` - The ID of the type of relations to search for.
    Returns:
      `this`.

  - ### sourceId

    public FindRelationsRequest.Builder sourceId(UUID sourceId)
    Parameters:
      `sourceId` - The ID of the source of relations to search for.
    Returns:
      `this`.

  - ### targetId

    public FindRelationsRequest.Builder targetId(UUID targetId)
    Parameters:
      `targetId` - The ID of the target of relations to search for.
    Returns:
      `this`.

  - ### sourceTargetLogicalOperator

    public FindRelationsRequest.Builder sourceTargetLogicalOperator(LogicalOperator sourceTargetLogicalOperator)
    Parameters:
      `sourceTargetLogicalOperator` - The logical operator determining how to combine the source and target criteria: AND or OR. When omitted, the sourceTargetLogicalOperator defaults to `AND`.
    Returns:
      `this`.

  - ### typePublicId

    public FindRelationsRequest.Builder typePublicId(String typePublicId)
    Returns:
      `this`.

  - ### build

    public FindRelationsRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`